[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TStream.Close

Close the stream

## Declaration

Source position: objects.pp line 284

`procedure TStream.Close; virtual;`

## Description

Close is an abstract method, that should be overridden by descendent objects. Since Closing a stream depends on the stream's type this is not surprising.

for an example, see TDosStream.Open.

## Errors

None.

## See also

TStream.Open |  | Open the stream
TStream.Reset |  | Reset the stream

Documentation generated on: Feb 26 2014